kpropd(8)

NAME
kpropd - network utility for Kerberos database propagation

SYNOPSIS
kpropd [-r realm] [-s srvtab] [-d database_file] [-l logfile] [-p kdb_util_path] output_file

DESCRIPTION
This daemon runs on a Kerberos slave and waits to receive the Kerberos database propagated from a kpropd process on a Kerberos master. The first parameter, output_file, that you must supply to the daemon is the name of a text file in which data will be placed when it comes over the network.

This utility executes the kdb_util(8) utility, which loads the database from the file specified in output_file, puts it in db(3) format, and copies it into the Kerberos database in the directory /etc/kerberosIV.

OPTIONS

-r  Specifies the reciever realm for which data is accepted; /etc/krb.conf specifies the default.

-s  Specifies the service table file from which to read the password of the daemon, because a password cannot be entered manually when running as a daemon. The default is: /etc/kerberosIV/srvtab.

-d  Specifies the primary Kerberos database file of a Kerberos slave. This file receives a new or updated database propagated from the Kerberos master. The default is the database in the directory /etc/kerberosIV, The file is: principal.db.

-l  Specifies the name of the log file to be used. The default is: /var/log/kpropd.log.

-p  Specificies the full path (with directory and command) to the program kdb_util(8). The default is just:
        kdb_util
    which relies on the PATH environment variable to be searched to find it.

-P  Synonym for -p.

BUGS
This utility does not support the transfer of encrypted data.

If the -P or -p options are not specified and the PATH environment variable does not contain the directory with kdb_util(8), this program will fail.

SEE ALSO
kerberos(1), kprop(8)
``A Subsystem Utilities Package for UNIX'' by Ken Raeburn